| QxOrm 1.4.2 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Static Public Member Functions | Static Private Member Functions
qx::model_view::detail::QxNestedModel_Container< T > Struct Template Reference

`#include <QxNestedModel.h>`

List of all members.

## Classes
struct | insertItem_Helper
struct | insertItem_Helper< const QPair< U1, U2 >, false >
struct | insertItem_Helper< const std::pair< U1, U2 >, false >
struct | insertItem_Helper< QPair< U1, U2 >, false >
struct | insertItem_Helper< std::pair< U1, U2 >, false >
struct | insertItem_Helper< U, false >
## Public Types
enum | { is_valid = qx::trait::is_qx_registered<type_data>::value }
typedef qx::trait::generic_container < T > | type_generic_container
typedef type_generic_container::type_value_qx | type_data
typedef type_generic_container::type_item | type_item
typedef qx::QxModel< type_data > ::type_collection | type_collection
typedef qx::QxModel< type_data > ::type_primary_key | type_primary_key
typedef qx::QxModel< type_data > ::type_ptr | type_ptr
## Static Public Member Functions
static qx::IxModel * | create (qx::IxModel *pParent, const QModelIndex &idxParent, T &t)
template<typename U >
static bool | insert (qx::IxModel *pModel, U &item, int iRow)
static void | synchronize (qx::IxModel *pModel, T &t)
## Static Private Member Functions
template<typename U >
static bool | insertItem (qx::IxModel *pModel, U &item, int iRow)

## Detailed Description

### template<class T>
struct qx::model_view::detail::QxNestedModel_Container< T >

Definition at line 169 of file QxNestedModel.h.

## Member Typedef Documentation

template<class T >

typedef qx::QxModel<type_data>::type_collection qx::model_view::detail::QxNestedModel_Container< T >::type_collection

Definition at line 175 of file QxNestedModel.h.

template<class T >

typedef type_generic_container::type_value_qx qx::model_view::detail::QxNestedModel_Container< T >::type_data

Definition at line 173 of file QxNestedModel.h.

template<class T >

typedef qx::trait::generic_container<T> qx::model_view::detail::QxNestedModel_Container< T >::type_generic_container

Definition at line 172 of file QxNestedModel.h.

template<class T >

typedef type_generic_container::type_item qx::model_view::detail::QxNestedModel_Container< T >::type_item

Definition at line 174 of file QxNestedModel.h.

template<class T >

typedef qx::QxModel<type_data>::type_primary_key qx::model_view::detail::QxNestedModel_Container< T >::type_primary_key

Definition at line 176 of file QxNestedModel.h.

template<class T >

typedef qx::QxModel<type_data>::type_ptr qx::model_view::detail::QxNestedModel_Container< T >::type_ptr

Definition at line 177 of file QxNestedModel.h.

## Member Enumeration Documentation

template<class T >

anonymous enum

Enumerator:

  is_valid |

Definition at line 179 of file QxNestedModel.h.

## Member Function Documentation

template<class T >

static qx::IxModel* qx::model_view::detail::QxNestedModel_Container< T >::create | ( | qx::IxModel * | pParent,
|  | const QModelIndex & | idxParent,
|  | T & | t
| ) |  | `[inline, static]`

Definition at line 181 of file QxNestedModel.h.

template<class T >
template<typename U >

static bool qx::model_view::detail::QxNestedModel_Container< T >::insert | ( | qx::IxModel * | pModel,
|  | U & | item,
|  | int | iRow
| ) |  | `[inline, static]`

Definition at line 198 of file QxNestedModel.h.

template<class T >
template<typename U >

static bool qx::model_view::detail::QxNestedModel_Container< T >::insertItem | ( | qx::IxModel * | pModel,
|  | U & | item,
|  | int | iRow
| ) |  | `[inline, static, private]`

Definition at line 239 of file QxNestedModel.h.

template<class T >

static void qx::model_view::detail::QxNestedModel_Container< T >::synchronize | ( | qx::IxModel * | pModel,
|  | T & | t
| ) |  | `[inline, static]`

Definition at line 217 of file QxNestedModel.h.

The documentation for this struct was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxModelView/QxNestedModel.h